Index: bcc32.mak
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/bin/psql/bcc32.mak,v
retrieving revision 1.9
diff -u -r1.9 bcc32.mak
--- bcc32.mak	10 Sep 2004 09:45:21 -0000	1.9
+++ bcc32.mak	11 Sep 2004 21:31:13 -0000
@@ -37,6 +37,7 @@
 
 CPP=bcc32.exe
 PERL=perl.exe
+FLEX=flex.exe
 
 !IF "$(CFG)" == "Debug"
 DEBUG=1
@@ -53,7 +54,7 @@
 .c.obj:
 	$(CPP) -o"$(INTDIR)\$&" $(CPP_PROJ) $<
 
-ALL : sql_help.h "..\..\port\pg_config_paths.h" "$(OUTDIR)\psql.exe"
+ALL : sql_help.h psqlscan "..\..\port\pg_config_paths.h" "$(OUTDIR)\psql.exe"
 
 CLEAN :
 	-@erase "$(INTDIR)\command.obj"
@@ -158,3 +159,6 @@
 
 "sql_help.h": create_help.pl 
        $(PERL) create_help.pl $(REFDOCDIR) $@
+
+psqlscan:
+	$(FLEX) -Cfe -opsqlscan.c psqlscan.l

Index: win32.mak
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/bin/psql/win32.mak,v
retrieving revision 1.21
diff -u -r1.21 win32.mak
--- win32.mak	10 Sep 2004 09:45:21 -0000	1.21
+++ win32.mak	11 Sep 2004 21:31:13 -0000
@@ -8,6 +8,7 @@
 
 CPP=cl.exe
 PERL=perl.exe
+FLEX=flex.exe
 
 OUTDIR=.\Release
 INTDIR=.\Release
@@ -16,7 +17,7 @@
 OutDir=.\Release
 # End Custom Macros
 
-ALL : sql_help.h "..\..\port\pg_config_paths.h" "$(OUTDIR)\psql.exe"
+ALL : sql_help.h psqlscan "..\..\port\pg_config_paths.h" "$(OUTDIR)\psql.exe"
 
 CLEAN :
 	-@erase "$(INTDIR)\command.obj"
@@ -129,3 +130,6 @@
 
 sql_help.h: create_help.pl
         $(PERL) create_help.pl $(REFDOCDIR) $@
+	
+psqlscan:
+	$(FLEX) -Cfe -opsqlscan.c psqlscan.l